Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class JboEnvUtil

    java.lang.Object
      |
      +--oracle.jbo.common.JboEnvUtil

public class JboEnvUtil
extends java.lang.Object

Internal: Applications should not use this class.

Field Summary
`static java.lang.String` | `APPLICATION_NAME`
`static java.lang.String` | `DEFAULT_APPLICATION_NAME`
`static int` | `DEFAULT_CONNECTION_MODE`
`static java.lang.String` | `DEFAULT_CONNECTION_PORT`
`static java.lang.String` | `DEFAULT_ORACLE_SID`
`static boolean` | `DEFAULT_USE_CLIENT_SERVICE`
`static java.lang.String` | `JVM_ID`
`static int` | `NULL_CONNECTION_MODE`
`static java.lang.String` | `ORACLE_SID`
`static java.lang.String` | `SESSION_ID`
`static java.lang.String` | `USE_CLIENT_SERVICE`

Constructor Summary
`JboEnvUtil()`

Method Summary
`static void` | `checkJServerPermissions()` this method checks that getProperties can be executed.
`static java.applet.Applet` | `getApplet(java.util.Hashtable env)` return the applet pointer or null
`static java.lang.String` | `getApplicationName(java.util.Hashtable env)`
`static java.lang.String` | `getApplicationPath(java.util.Hashtable env)`
`static int` | `getConnectionMode(java.util.Hashtable env)`
`static int` | `getConnectionPort(java.util.Hashtable env)`
`static java.lang.String` | `getDefaultHost()`
`static java.lang.String` | `getDefaultRuntimeId()`
`static java.lang.String` | `getDefaultSessionId()`
`static java.lang.String` | `getDeployPlatform(java.util.Hashtable env)`
`static java.lang.String` | `getHostName(java.util.Hashtable env)`
`static java.lang.Integer` | `getInteger(java.lang.Object obj)`
`static java.lang.String` | `getOracleSid(java.util.Hashtable env)`
`static java.lang.String` | `getProperty(java.lang.String propName)` get a property, defauting to null
`static java.lang.String` | `getProperty(java.lang.String propName, java.lang.String defValue)`
`static boolean` | `getPropertyAsBoolean(java.lang.String propName, boolean dflt)`
`static int` | `getPropertyAsInt(java.lang.String prop, int dflt)`
`static java.lang.String` | `getRuntimeId(java.util.Hashtable env)`
`static java.lang.String` | `getSessionId(java.util.Hashtable env)`
`static boolean` | `getUseClientService(java.util.Hashtable env)`
`static boolean` | `inJava12()`
`static boolean` | `inJServer()`
`static boolean` | `isApplet()` are we executing in a protected
`static boolean` | `isClient(java.util.Hashtable env)`
`static boolean` | `isEmptyString(java.lang.String str)`
`static boolean` | `isSameHost(java.util.Hashtable env)` public static void getPropertiesFromSessionInfo(SessionInfo info, Hashtable env) { if (info.ConnectionMode != NULL_CONNECTION_MODE) { env.put(CONNECTION_MODE, new Integer(info.ConnectionMode)); } if (!isEmptyString(info.SessionId)) { env.put(SESSION_ID, info.SessionId); } }
`static boolean` | `isSameVM(java.util.Hashtable env)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USE_CLIENT_SERVICE

    public static java.lang.String USE_CLIENT_SERVICE

### APPLICATION_NAME

    public static java.lang.String APPLICATION_NAME

### JVM_ID

    public static java.lang.String JVM_ID

### ORACLE_SID

    public static java.lang.String ORACLE_SID

### DEFAULT_CONNECTION_MODE

    public static int DEFAULT_CONNECTION_MODE

### NULL_CONNECTION_MODE

    public static int NULL_CONNECTION_MODE

### DEFAULT_USE_CLIENT_SERVICE

    public static boolean DEFAULT_USE_CLIENT_SERVICE

### DEFAULT_APPLICATION_NAME

    public static java.lang.String DEFAULT_APPLICATION_NAME

### DEFAULT_CONNECTION_PORT

    public static java.lang.String DEFAULT_CONNECTION_PORT

### DEFAULT_ORACLE_SID

    public static java.lang.String DEFAULT_ORACLE_SID

### SESSION_ID

    public static java.lang.String SESSION_ID

Constructor Detail

### JboEnvUtil

    public JboEnvUtil()

Method Detail

### getDeployPlatform

    public static java.lang.String getDeployPlatform(java.util.Hashtable env)

### isClient

    public static boolean isClient(java.util.Hashtable env)

### isApplet

    public static boolean isApplet()

  are we executing in a protected

### getProperty

    public static java.lang.String getProperty(java.lang.String propName)

  get a property, defauting to null

### getProperty

    public static java.lang.String getProperty(java.lang.String propName,
                                               java.lang.String defValue)

### getPropertyAsBoolean

    public static boolean getPropertyAsBoolean(java.lang.String propName,
                                               boolean dflt)

### getPropertyAsInt

    public static int getPropertyAsInt(java.lang.String prop,
                                       int dflt)

### getDefaultHost

    public static java.lang.String getDefaultHost()

### getHostName

    public static java.lang.String getHostName(java.util.Hashtable env)

### getDefaultRuntimeId

    public static java.lang.String getDefaultRuntimeId()

### getRuntimeId

    public static java.lang.String getRuntimeId(java.util.Hashtable env)

### getConnectionMode

    public static int getConnectionMode(java.util.Hashtable env)

### getDefaultSessionId

    public static java.lang.String getDefaultSessionId()

### getSessionId

    public static java.lang.String getSessionId(java.util.Hashtable env)

### getUseClientService

    public static boolean getUseClientService(java.util.Hashtable env)

### getConnectionPort

    public static int getConnectionPort(java.util.Hashtable env)

### getApplicationName

    public static java.lang.String getApplicationName(java.util.Hashtable env)

### isSameHost

    public static boolean isSameHost(java.util.Hashtable env)

  public static void getPropertiesFromSessionInfo(SessionInfo info, Hashtable env) { if (info.ConnectionMode != NULL_CONNECTION_MODE) { env.put(CONNECTION_MODE, new Integer(info.ConnectionMode)); } if (!isEmptyString(info.SessionId)) { env.put(SESSION_ID, info.SessionId); } }

### isSameVM

    public static boolean isSameVM(java.util.Hashtable env)

### getApplet

    public static java.applet.Applet getApplet(java.util.Hashtable env)

  return the applet pointer or null

### getApplicationPath

    public static java.lang.String getApplicationPath(java.util.Hashtable env)

### getOracleSid

    public static java.lang.String getOracleSid(java.util.Hashtable env)

### inJServer

    public static boolean inJServer()

### isEmptyString

    public static boolean isEmptyString(java.lang.String str)

### getInteger

    public static java.lang.Integer getInteger(java.lang.Object obj)

### inJava12

    public static boolean inJava12()

### checkJServerPermissions

    public static void checkJServerPermissions()

  this method checks that getProperties can be executed. It is used very early in the Business Components Server lifecycle so that a fatal exception will be thrown in a timely manner if the permissions have not been granted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD